const { defineConfig } = require('@vue/cli-service')
const NodePolyfillPlugin = require("node-polyfill-webpack-plugin");

module.exports = defineConfig({
  lintOnSave: false,
  configureWebpack: {
    plugins: [
      new NodePolyfillPlugin()
    ],
    optimization: {
      splitChunks: {
        chunks: "all",
      },
    },
  },
  transpileDependencies: [ "@splidejs" ],
  outputDir: 'target/dist',
  assetsDir: 'static',
  
  // 로컬 개발(localhost:8080) 시 서버(e000.bond)의 폴더들을 참조하기 위한 프록시
  devServer: {
    proxy: {
      // 뒤에 (/|$) 를 추가하여 정확히 일치하는 폴더만 잡아내게 합니다.
      '^/(school|newton|coding|steam|robot|pure|japanese|hanja|vibe)(/|$)': {
        target: 'https://e000.bond',
        changeOrigin: true,
        secure: false, 
      }
    }
  }
})